# Uses of Interface
com.sun.source.tree.MethodTree

Packages that use MethodTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of MethodTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type MethodTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitMethod(MethodTree node, P p)`
Visits a MethodTree node.

## Uses of MethodTree in com.sun.source.util

Methods in com.sun.source.util that return MethodTree
Modifier and Type
Method
Description
`abstract MethodTree`
Trees.`getTree(ExecutableElement method)`
Returns the MethodTree node for a given ExecutableElement.
Methods in com.sun.source.util with parameters of type MethodTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitMethod(MethodTree node, P p)`
Visits a MethodTree node.
`R`
TreeScanner.`visitMethod(MethodTree node, P p)`
Visits a MethodTree node.